/*----------------------------------------------------------------------------
INGENICO Technical Software Department
------------------------------------------------------------------------------
Copyright (c) 2012, Ingenico.
28-32 boulevard de Grenelle 75015 Paris, France.
All rights reserved.
This source program is the property of INGENICO Company and may not be copied
in any form or by any means, whether in part or in whole, except under license
expressly granted by INGENICO company
All copies of this program, whether in part or in whole, and
whether modified or not, must display this and all other
embedded copyright and ownership notices in full. */

#include "QR_Version.h"

//OSL_DLL_CONSTRUCTOR(QR_Init);
void QR_Init(void)
{
}

/** Allow to check coherence with a certain version and revision passed
 * in parameter and check other dependencies of the dll.
 * @param version to check
 * @param revision to check
 * @return true if DLL is compatible false otherwise
 */
int QR_CheckDependency(unsigned short version, unsigned short revision)
{
	if(version == QR_VERSION_DLL && revision <= QR_REVISION_DLL)
		return(1);
	else
		return(0);
}

#if defined(WIN32) || defined(__TELIUM3__)

int QR_IsPresent(void)
{
	return(1);
}
#endif

