/*----------------------------------------------------------------------------
INGENICO Technical Software Department
------------------------------------------------------------------------------
Copyright (c) 2012, Ingenico.
28-32 boulevard de Grenelle 75015 Paris, France.
All rights reserved.
This source program is the property of INGENICO Company and may not be copied
in any form or by any means, whether in part or in whole, except under license
expressly granted by INGENICO company
All copies of this program, whether in part or in whole, and
whether modified or not, must display this and all other
embedded copyright and ownership notices in full. */

#ifndef qralloc_h_INCLUDED
#define qralloc_h_INCLUDED


#if defined(__cplusplus)
extern "C" {
#endif

#include <stdlib.h>

typedef struct QRAlloc
{
	void * (*malloc)(size_t size);
	void   (*free)(void * ptr);
	void * (*calloc) (size_t number, size_t count);
} QRAlloc;

void QRAlloc_init(QRAlloc * alloc);

void * QRAlloc_malloc(size_t size);
void   QRAlloc_free(void * ptr);
void * QRAlloc_calloc (size_t number, size_t count);

#if defined(__cplusplus)
}
#endif

#endif // qralloc_h_INCLUDED
