/*----------------------------------------------------------------------------
INGENICO Technical Software Department
------------------------------------------------------------------------------
Copyright (c) 2012, Ingenico.
28-32 boulevard de Grenelle 75015 Paris, France.
All rights reserved.
This source program is the property of INGENICO Company and may not be copied
in any form or by any means, whether in part or in whole, except under license
expressly granted by INGENICO company
All copies of this program, whether in part or in whole, and
whether modified or not, must display this and all other
embedded copyright and ownership notices in full. */

#ifndef __QRCONTEXT_H__
#define __QRCONTEXT_H__

//#include "qrencode.h"

#if defined(__cplusplus)
extern "C" {
#endif

/******************************************************************************
 * Version and context
 *****************************************************************************/

/**
 * Maximum version (size) of QR-code symbol.
 */
#define QRSPEC_VERSION_MAX 40

typedef struct _RS RS;

typedef struct QRContext
{
	RS *rslist;
	unsigned char *frames[QRSPEC_VERSION_MAX + 1];
} QRContext;

#if defined(__cplusplus)
}
#endif

#endif /* __QRCONTEXT_H__ */
